Skip to navigation

List directory entries

View as Markdown
Authenticated endpoint that return a paginated list of entries for an specific directory

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
id of the directory

Query parameters

entry_typestringOptional
type of entry to filter by
pageintegerOptional
page number
page_sizeintegerOptional

number of results per page. Defaults to 10. Maximum 150; a larger page_size is capped to 150, not rejected

searchstringOptional
value to search by
sortstringOptional

value to order by. Supported values: created, -created, modified, -modified, title, -title, tier, -tier, recommended_order, -recommended_order. Defaults to -created (newest first). Any other value returns 400

statusstringOptional
status to filter by

Response

Successful operation
countinteger
Entries across all pages
nextstring or nullformat: "uri"
Next page
previousstring or nullformat: "uri"
Previous page
resultslist of objects

Errors

400
Bad Request Error